| GL Studio C++ Runtime API

Public Member Functions | List of all members
IFontImage Interface Referenceabstract

`#include <IFontImage.h>`

Inheritance diagram for IFontImage:

## Public Member Functions
virtual | ~IFontImage ()
virtual void | BindTexture ()=0
virtual unsigned int | StateManagerHandle () const =0
virtual void | StateManagerHandle (unsigned int handle)=0
virtual unsigned int | TextureHandle () const =0
virtual bool | MipMap ()=0
virtual void | MipMap (bool mipMap)=0
virtual int | PixelFormat ()=0

## Detailed Description

This acts as a common interface class for ITexture2D (Lumen) and Image (GLS Standard), which is why it is placed in the disti namespace. It cannot be moved to core however, since it is also needed by the runtime_glyph_generation static lib.

## Constructor & Destructor Documentation

## ◆ ~IFontImage()

virtual ~IFontImage | ( |  | ) |
| inline virtual

Destructor for polymorphic deletion

## Member Function Documentation

## ◆ BindTexture()

virtual void BindTexture | ( |  | ) |
| pure virtual

Binds the texture.

Implemented in Image.

## ◆ MipMap() [1/2]

virtual bool MipMap | ( |  | ) |
| pure virtual

Returns
  true if this image should use a mipmap.

Implemented in Image.

## ◆ MipMap() [2/2]

virtual void MipMap | ( | bool | mipMap | ) |
| pure virtual

Sets mip mapping for this texture.

Parameters

  [in] | mipMap | True if mip mapping is enabled, else false.

Implemented in Image.

## ◆ PixelFormat()

virtual int PixelFormat | ( |  | ) |
| pure virtual

Gets the pixel format for this texture.

Returns
  The pixel format for this texture.

Implemented in Image.

## ◆ StateManagerHandle() [1/2]

virtual unsigned int StateManagerHandle | ( |  | ) | const
| pure virtual

Returns a handle used by the OpenGL ES state manager to quickly find a texture

Returns
  the handle

Implemented in Image.

## ◆ StateManagerHandle() [2/2]

virtual void StateManagerHandle | ( | unsigned int | handle | ) |
| pure virtual

Sets a handle used by the OpenGL ES state manager to quickly find a texture

Parameters

  handle | the handle

Implemented in Image.

## ◆ TextureHandle()

virtual unsigned int TextureHandle | ( |  | ) | const
| pure virtual

Returns
  the OpenGL texture handle of a texture instance

Implemented in Image.

The documentation for this interface was generated from the following file:

- IFontImage.h